WordPress.org

Ready to get started?Download WordPress

Forums

WooCommerce Multilingual - run WooCommerce with WPML
Price Filter multilingual : No products found which match your selection. (6 posts)

  1. WDev
    Member
    Posted 1 year ago #

    Woocommerce Price filter works well in english but not working in Chinese:
    http://www.lotusgallery.com.hk/product-category/feature-products-zh/women_zh/handbag_zh/?lang=zh-hant

    We checked that Woocommerce over 1.3 support multilingual, no idea what's happened.
    *WooCommerce 1.6.6.

    Other than upgrade again, any solution?
    Thanks so much if anyone give a big helping hand!

    http://wordpress.org/extend/plugins/woocommerce-multilingual/

  2. adelval
    Member
    Plugin Contributor

    Posted 1 year ago #

    Hi,

    We do recommend upgrading to WooCommerce 2.x, though also try to keep backwards compatibility. Nevertheless, can you tell me what exactly is not working? In the page you link to, the only thing I see is that there's a handbag without a price, is that the problem?

    Also can you provide the information requested in the Getting Help section of http://wpml.org/documentation/related-projects/woocommerce-multilingual/? In particular, what version of the WPML plugins are you using, what is your default language, and what are your currency settings.

    Alvaro

  3. WDev
    Member
    Posted 1 year ago #

    Thanks Alvaro,

    can you tell me what exactly is not working?

    In English version, price filter works fine, but in Chinese version, it can't.
    English version:http://www.lotusgallery.com.hk/product-category/women/handbag/
    Chinese version:http://www.lotusgallery.com.hk/product-category/feature-products-zh/women_zh/handbag_zh/?lang=zh-hant

    Found a closed topic but their issue has not yet been resolved.
    http://wpml.org/forums/topic/price-filter-widget-does-not-change/

    Karly

  4. adelval
    Member
    Plugin Contributor

    Posted 1 year ago #

    Hi Karly,

    I checked, and the price filter does work with WooCommerce 2.0.x.

    Would you consider upgrading? Unless you have a lot of custom code that depends on WC 1.6, upgrading is a fairly smooth process.

    Do backup your database before upgrading if you decide to do it.

    If upgrading is a problem, I'll try to look into the problem with WC 1.6

    Alvaro

  5. WDev
    Member
    Posted 1 year ago #

    Hi Alvaro, it would be grateful if you would look into WC 1.6 since this project has been much out of budget due to upgrading ( many bugs before ) and custom codes. Also afraid that translation will be lost.

    Thanks so much!!!
    Karly

  6. WDev
    Member
    Posted 1 year ago #

    Hi Alvaro, any news from WC 1.6? Thanks~

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic